### Method

# Cogl Pipeline add_layer_snippet

#### Declaration [src]

    void
    cogl_pipeline_add_layer_snippet (
      CoglPipeline* pipeline,
      int layer,
      CoglSnippet* snippet
    )

#### Description [src]

Adds a shader snippet that will hook on to the given layer of the pipeline. The exact part of the pipeline that the snippet wraps around depends on the hook that is given to cogl_snippet_new(). Note that some hooks can’t be used with a layer and need to be added with `cogl_pipeline_add_snippet()` instead.

#### Parameters

`layer`

  Type: `int`

  The layer to hook the snippet to.

`snippet`

  Type: `CoglSnippet`

  A `CoglSnippet`.

  The data is owned by the caller of the method.